Steam sous debian wheezy/sid


#1

Bonsoir,

Comme j’ai acheté la plupart des kits humble bundle, je me suis dit que
ça pourrait être sympa d’installer steam (pour voir) et utiliser les
clefs steam fournies par les humble bundle sur ma debian sid (~wheezy).
Finalement, y a rien de bien compliqué.
Ce qu’il faut savoir c’est que steam est une application 32 bits qui
a besoin d’un version de la libc6 >= 2.15. Donc ça devrait marcher avec
les architectures amd64 (en multiarch) et i386.
Le problème c’est que wheezy/sid utilisent une libc6 2.13.
Qu’à cela ne tienne j’ai ajouté les dépôts experimental dans /etc/apt/sources.list :

C’est la 2.17 qui est dispo actuellement dans expérimental donc c’est tout bon.

Et pour éviter de me ramasser accidentellement des paquets experimental dans ma distrib,
j’ai mis une priorité basse sur ce dépôt dans /etc/apt/preferences :

Package: * Pin: release experimental Pin-Priority: 150

Install de la libc6 d’experimental (2.17):

sudo aptitude update sudo aptitude -t experimental install libc6:i386

Ensuite, on peut aller récupérer le paquet steam.deb sur le site de steam :
store.steampowered.com/about/

On en profite pour récupérer également 2 paquets ubuntu absents des dépôts de debian :

wget http://launchpadlibrarian.net/74240400/python-xkit_0.4.2.3_all.deb wget http://launchpadlibrarian.net/129505536/jockey-common_0.9.7-0ubuntu7.7_all.deb

Voilà il y a à peu près tout le nécessaire, on installe tout ça :

Après il faut créer un compte chez steam (gratuit)
puis j’ai pu enregistrer (activer) tous mes jeux.
L’interface steam fonctionne correctement sur mon portable, y compris en mode "big picture"
Notez que lors de l’install de steam le dépôt steam est rajouté, ce qui fait que les
mises à jour de steam se feront par la méthode classique debian (upgrade).
J’ai été un peu déçu de constater sur 46 jeux seulement 17 sont installables (linux) alors
qu’il existe des versions linux de tout ces jeux.

J’ai pour l’instant installé un seul jeu et il fonctionne sans problèmes …

Le plus long aura été d’écrire ce bout de texte (à déplacer sans doute dans une autre section du forum).

GuyR


#2

Niquel merci, il m’aura fallu 5secondes pour installer steam avec ton message, alors qu’après plusieurs heures avec les «pseudo scripts» disponible sur le net, je n’ai jamais réussi, malheureusement après la mise à jour de steam j’ai eu le message :

[quote]You are missing the following 32-bit libraries, and Steam may not run:
libGL.so.1[/quote]

Une idée du paquet qu’il me manque ?

J’ai une nvidia geforce 9600gt avec les drivers propriétaire (voir image)

et avec GLXINFO j’ai :

[quote]root@debian:/home/ange7# glxinfo
glxinfo: error while loading shared libraries: libGL.so.1: cannot open shared object file: No such file or directory
[/quote]

root@debian:/home/ange7# ls -alh $(locate libGL.so.1) lrwxrwxrwx 1 root root 43 févr. 11 21:53 /etc/alternatives/glx--libGL.so.1-x86_64-linux-gnu -> /usr/lib/x86_64-linux-gnu/nvidia/libGL.so.1 lrwxrwxrwx 1 root root 51 févr. 11 21:53 /etc/alternatives/nvidia--libGL.so.1-x86_64-linux-gnu -> /usr/lib/x86_64-linux-gnu/nvidia/current/libGL.so.1 lrwxrwxrwx 1 root root 12 févr. 11 21:49 /usr/lib/mesa-diverted/x86_64-linux-gnu/libGL.so.1 -> libGL.so.1.2 -rw-r--r-- 1 root root 383K déc. 6 20:53 /usr/lib/mesa-diverted/x86_64-linux-gnu/libGL.so.1.2 lrwxrwxrwx 1 root root 50 févr. 11 21:52 /usr/lib/x86_64-linux-gnu/libGL.so.1 -> /etc/alternatives/glx--libGL.so.1-x86_64-linux-gnu lrwxrwxrwx 1 root root 15 janv. 8 15:50 /usr/lib/x86_64-linux-gnu/nvidia/current/libGL.so.1 -> libGL.so.304.64 lrwxrwxrwx 1 root root 53 févr. 11 21:53 /usr/lib/x86_64-linux-gnu/nvidia/libGL.so.1 -> /etc/alternatives/nvidia--libGL.so.1-x86_64-linux-gnu

Pour ceux que ça peut aider, je ne pouvais pas installer libgl1-nvidia-glx:i386 a cause de problème de dépendance, j’ai réussis à passer ce problème installant le paquet décrit ici :

steamcommunity.com/discussions/f … 6516674500

Après installation par dpkg du paquet mesa-utils_8.0.1+git20110129+d8f7d6b-0ubuntu2_i386.deb

j’ai lancé un apt-get install libgl1-nvidia-glx:i386 et c’est passé.

Steam est exécuté, et CS download :smiley:

Merci :wink:


#3

Updating steam, sur ma squeez (chroot sid)… Trop fort, je vais allez me chercher une bière :slightly_smiling:

Merci.

Édite : rhaa

[quote]Couldn’t set up the Steam Runtime. Are you running low on disk space?
Continuing…[/quote]

[quote]You are missing the following 32-bit libraries, and Steam may not run:
libnss3.so
libnssutil3.so
libsmime3.so
libplc4.so
libnspr4.so[/quote]


#4

En chrootant sur wheezy, tout les paquets semblent satisfait, sauf que j’ai toujours ce blème de limite :

[quote]Running Steam on debian 7.0 32-bit
STEAM_RUNTIME is enabled automatically
tar (grandchild): bzip2 : exec impossible: Aucun fichier ou dossier de ce type
tar (grandchild): Error is not recoverable: exiting now
tar: Child died with signal 13
tar: Error is not recoverable: exiting now
Unpack runtime failed, error code 2
Error: Couldn’t set up the Steam Runtime. Are you running low on disk space?
Continuing…
/home/david96/.local/share/Steam/steam.sh: ligne 533 : ulimit: open files : impossible de modifier la limite : Opération non permise
Installing breakpad exception handler for appid(steam)/version(1360966495_client)
Looks like steam didn’t shutdown cleanly, scheduling immediate update check
Installing breakpad exception handler for appid(steam)/version(1360966495_client)
Installing breakpad exception handler for appid(steam)/version(1360966495_client)
unlinked 0 orphaned pipes
removing stale semaphore last operated on by process 29218 with name 0eBlobRegistryMutex_650216C2308AC8FBC02FF2EA32D142A3
removing stale semaphore last operated on by process 29218 with name 0eBlobRegistrySignal_650216C2308AC8FBC02FF2EA32D142A3
removing stale semaphore last operated on by process 29218 with name 0emSteamEngineInstance
removing stale semaphore last operated on by process 29218 with name 0eSteamEngineLock
Installing breakpad exception handler for appid(steam)/version(1360966495_client)
[0219/001838:ERROR:shared_memory_posix.cc(167)] Creating shared memory in /dev/shm/org.chromium.Chromium.shmem.libcef_17278985640395331709 failed: Permission non accordée
[0219/001839:ERROR:shared_memory_posix.cc(170)] Unable to access(W_OK|X_OK) /dev/shm: Permission non accordée
[0219/001839:FATAL:shared_memory_posix.cc(172)] This is frequently caused by incorrect permissions on /dev/shm. Try ‘sudo chmod 1777 /dev/shm’ to fix.
Uploading dump (in-process) [proxy ‘’]
/tmp/dumps/crash_20130219001839_1.dmp
surface_linux.cpp (1667) : Assertion Failed: X context is not using direct rendering (vis 0x027). Unfasten your seatbelt…

Assert( Assertion Failed: X context is not using direct rendering (vis 0x027). Unfasten your seatbelt…
):/home/buildbot/buildslave_steam/steam_rel_client_ubuntu12_linux/build/src/vgui2/src/surface_linux.cpp:1667

Installing breakpad exception handler for appid(steam)/version(1360966495_client)
success = yes
response: CrashID=bp-855a0e55-e60c-4403-bee8-9d1772130218
/home/david96/.local/share/Steam/steam.sh : ligne 561 : 29435 Abandon $STEAM_DEBUGGER “$STEAMROOT/$PLATFORM/$STEAMEXE” “$@”
[/quote]


#5

Y a t-il encore assez d’espace disque ?

Sinon es-tu sûr d’avoir bzip2 d’installé (dans le chroot) ?

Essayes aussi de taper dans un terminal (hors chroot):

Car je pense que dans le chroot on ne peux pas augmenter ce nombre.

Sinon le paramétrage se situe dans le fichier /etc/security/limits.conf
y ajouter une ligne du genre :

puis reboot

Attention avec chroot tu risques d’avoir des problèmes avec les drivers
video proprio (libGL): ce sera donc assez difficile de faire tourner
correctement steam là-dedans.


#6

Merci, un moment j’y ai crue.
Plus d’erreur de limit grâce à toi, par contre j’ai celle là maintenant :

[0219/081832:ERROR:shared_memory_posix.cc(167)] Creating shared memory in /dev/shm/org.chromium.Chromium.shmem.libcef_8756209236469667398 failed: Permission non accordée [0219/081832:ERROR:shared_memory_posix.cc(170)] Unable to access(W_OK|X_OK) /dev/shm: Permission non accordée

La totale si ça peut aider, à m’aider :114

[code]
schroot -c wheezy -p steam 09:18
zsh: correct ‘steam’ to ‘Steam’ [nyae]? n
Running Steam on debian 7.0 32-bit
STEAM_RUNTIME is enabled automatically
Installing breakpad exception handler for appid(steam)/version(1360966495_client)
Looks like steam didn’t shutdown cleanly, scheduling immediate update check
Installing breakpad exception handler for appid(steam)/version(1360966495_client)
Installing breakpad exception handler for appid(steam)/version(1360966495_client)
unlinked 0 orphaned pipes
Installing breakpad exception handler for appid(steam)/version(1360966495_client)
surface_linux.cpp (1667) : Assertion Failed: X context is not using direct rendering (vis 0x027). Unfasten your seatbelt…

[0219/081832:ERROR:shared_memory_posix.cc(167)] Creating shared memory in /dev/shm/org.chromium.Chromium.shmem.libcef_8756209236469667398 failed: Permission non accordée
[0219/081832:ERROR:shared_memory_posix.cc(170)] Unable to access(W_OK|X_OK) /dev/shm: Permission non accordée
[0219/081832:FATAL:shared_memory_posix.cc(172)] This is frequently caused by incorrect permissions on /dev/shm. Try ‘sudo chmod 1777 /dev/shm’ to fix.
Assert( Assertion Failed: X context is not using direct rendering (vis 0x027). Unfasten your seatbelt…
):/home/buildbot/buildslave_steam/steam_rel_client_ubuntu12_linux/build/src/vgui2/src/surface_linux.cpp:1667

Installing breakpad exception handler for appid(steam)/version(1360966495_client)
Uploading dump (in-process) [proxy ‘’]
/tmp/dumps/assert_20130219081832_2.dmp
Uploading dump (in-process) [proxy ‘’]
/tmp/dumps/assert_20130219081832_2.dmp
success = yes
response: CrashID=bp-4672ebba-727d-43dd-b91d-1dfd12130219
/home/david96/.local/share/Steam/steam.sh : ligne 561 : 4550 Abandon $STEAM_DEBUGGER “$STEAMROOT/$PLATFORM/$STEAMEXE” “$@”[/code]


#7
Ne fait rien, même erreur. Je vais voir du côté du montage.

Édite :

Bingo ça passe en fait, j'avais oublié que je chrootais, donc :
[code] sudo chroot /wheezy /bin/bash[/code]

[code]root@david96-pc:/# ls -dl /dev/shm
drwxr-xr-x 2 root root 40 févr. 19  2013 /dev/shm
root@david96-pc:/# chmod 1777 /dev/shm
root@david96-pc:/# exit[/code]
[code]schroot -c wheezy -p steam[/code]
Et là message
[quote="video driver problem"]Your system is running oledr proprietary nVidia™ vidéo drivers. Steam requires driver version 304.22 or higher.[/quote]

Ne fait rien, même erreur. Je vais voir du côté du montage.

Édite :

Bingo ça passe en fait, j’avais oublié que je chrootais, donc :

root@david96-pc:/# ls -dl /dev/shm drwxr-xr-x 2 root root 40 févr. 19 2013 /dev/shm root@david96-pc:/# chmod 1777 /dev/shm root@david96-pc:/# exit

Et là message


#8

[quote=“david96”]
Et là message

Nous y voilà … faut essayer d’installer le même driver (récent) à la fois dans le host et le chroot …


#9

Merci, je tenterai cela ce soir, j’ai du arrêter cause boulot boulot. :geek:


#10

Bon allez, on va s’y mettre :

zsh/2 1369 % glxinfo | grep OpenGL 00:04 OpenGL vendor string: NVIDIA Corporation OpenGL renderer string: GeForce GT 430/PCIe/SSE2/3DNOW! OpenGL version string: 4.2.0 NVIDIA 295.20 OpenGL shading language version string: 4.20 NVIDIA via Cg compiler OpenGL extensions:
Ok, c’est parti mon kiki :slightly_smiling:

Je ferme mon gestionnaire de bureau (KDE)

Je lance la commande magique :


#11

Bingo, ça marche :slight_smile:

Édite pour info pas besoin de le spécifier dans le chroot :wink:


#12

Mince j’ai un souci avec TF (Team Fortress)2 :

Pourtant :

glxinfo | grep "OpenGL version" OpenGL version string: 4.3.0 NVIDIA 313.18

Par encore eu le temps de regarder…

Sinon, j’ai déjà mis mes jeux HIB sur la plateforme, world of goo par exemple et ça marche à merveille :slight_smile:

Au fait mon pseudo est david96 :sunglasses:
, au cas où :wink:


#13

Regardez peut-être le dernier commentaire de ce fil :
http://steamcommunity.com/app/221410/discussions/1/882966056488160497/#p2


#14

Bien que nous n’ayons pas la même arbo. je vais tenter de m’en inspirer :

locate -i libgl.so /debception/usr/lib/i386-linux-gnu/libGL.so.1 /debception/usr/lib/i386-linux-gnu/libGL.so.1.2 /home/david96/.local/share/Steam/ubuntu12_32/steam-runtime/i386/usr/share/doc/nvidia-cg-toolkit/examples/Tools/trace/libGL.so.1.gz /usr/lib/libGL.so /usr/lib/libGL.so.1 /usr/lib/libGL.so.313.18 /wheezy/usr/lib/i386-linux-gnu/libGL.so.1 /wheezy/usr/lib/i386-linux-gnu/libGL.so.1.2

PROBLEM: You appear to have OpenGL 1.4.0, but we need at least 2.0.0! Could not find required OpenGL entry point 'glGetError'! Either your video card is unsupported, or your OpenGL driver needs to be updated.